CATOPEN(3)

NAME
catopen - open message catalog

LIBRARY
libc

SYNOPSIS
#include <nl_types.h>
nl_catd
catopen(const char *name, int oflag);

DESCRIPTION
The catopen() function opens the message catalog specified by name and returns a message catalog descriptor. If name contains a ‘/’ then name specifies the full pathname for the message catalog, otherwise the value of the environment variable NLSPATH is used with name substituted for %N.

If the oflag argument is set to the NL_CAT_LOCALE constant, LC_MESSAGES locale category used to open the message catalog; using NL_CAT_LOCALE conforms to the xpg4 standard. You can specify 0 for compatibility with xpg3; when oflag is set to 0, the LANG environment variable determines the message catalog locale.

RETURN VALUE
Upon successful completion, catopen() returns a message catalog descriptor. Otherwise, (nl_catd) -1 is returned and errno is set to indicate the error.

ERRORS

[ENOMEM]
    Insufficient memory is available.

SEE ALSO
gencat(1), catclose(3), catgets(3), setlocale(3)

STANDARDS
The catopen() function conforms to xpg4.